diff s4-funcs.sh @ 1028:6e24f1ecf13e draft

Workaround for GNU system
author HIROSE Yuuji <yuuji@gentei.org>
date Fri, 22 Dec 2023 20:01:32 +0900
parents f389a311a8d4
children 0dfef6d195fa
line wrap: on
line diff
--- a/s4-funcs.sh	Wed Dec 06 20:13:42 2023 +0900
+++ b/s4-funcs.sh	Fri Dec 22 20:01:32 2023 +0900
@@ -481,6 +481,9 @@
      ${S4WORLDGRPS:+-D_S4WORLDGRPS_="$S4WORLDGRPS"} \
      ${S4WORLDS:+-D_S4WORLDS_="$S4WORLDS"} "$@"
 }
+if ! type gdate && date --version | grep -q GNU; then
+  gdate() date "$@"
+fi >/dev/null 2>&1
 ismember() {
   # $1=user, $2=group
 #err ismem: "select user from grp_mem where gname=$(sqlquote $2) and user='$1';"

yatex.org